Package: org.codehaus.groovy.grails.web.pages

## [Java] Class GroovyPageOutputStack

- org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `GroovyPageOutputStack.GroovyPageProxyWriter` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.apache.commons.logging.Log` | `log` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static GroovyPageOutputStack` | `currentStack()`
    `static GroovyPageOutputStack` | `currentStack(GrailsWebRequest request)`
    `static GroovyPageOutputStack` | `currentStack(boolean allowCreate)`
    `static GroovyPageOutputStack` | `currentStack(GrailsWebRequest request, boolean allowCreate)`
    `static GroovyPageOutputStack` | `currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
    `static GroovyPageOutputStack` | `currentStack(GrailsWebRequest request, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
    `static GroovyPageOutputStack` | `currentStack(GroovyPageOutputStackAttributes attributes)`
    `static java.io.Writer` | `currentWriter()`
    `void` | `flushActiveWriter()`
    `java.io.Writer` | `getCurrentOriginalWriter()`
    `Encoder` | `getDefaultTaglibEncoder()`
    `Encoder` | `getExpressionEncoder()`
    `GroovyPageOutputStack.GroovyPageProxyWriter` | `getExpressionWriter()`
    `Encoder` | `getOutEncoder()`
    `GroovyPageOutputStack.GroovyPageProxyWriter` | `getOutWriter()`
    `Encoder` | `getStaticEncoder()`
    `GroovyPageOutputStack.GroovyPageProxyWriter` | `getStaticWriter()`
    `Encoder` | `getTaglibEncoder()`
    `GroovyPageOutputStack.GroovyPageProxyWriter` | `getTaglibWriter()`
    `void` | `pop()`
    `void` | `pop(boolean forceSync)`
    `void` | `push(java.io.Writer newWriter)`
    `void` | `push(java.io.Writer newWriter, boolean checkExisting)`
    `void` | `push(GroovyPageOutputStackAttributes attributes)`
    `void` | `push(GroovyPageOutputStackAttributes attributes, boolean checkExisting)`
    `static void` | `removeCurrentInstance()`
    `void` | `restoreThreadLocalsToOriginals()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.apache.commons.logging.Log log

  - ### Method Detail

    - #### public static GroovyPageOutputStack currentStack()

    - #### public static GroovyPageOutputStack currentStack(GrailsWebRequest request)

    - #### public static GroovyPageOutputStack currentStack(boolean allowCreate)

    - #### public static GroovyPageOutputStack currentStack(GrailsWebRequest request, boolean allowCreate)

    - #### public static GroovyPageOutputStack currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

    - #### public static GroovyPageOutputStack currentStack(GrailsWebRequest request, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

    - #### public static GroovyPageOutputStack currentStack(GroovyPageOutputStackAttributes attributes)

    - #### public static final java.io.Writer currentWriter()

    - #### public void flushActiveWriter()

    - #### public java.io.Writer getCurrentOriginalWriter()

    - #### public Encoder getDefaultTaglibEncoder()

    - #### public Encoder getExpressionEncoder()

    - #### public GroovyPageOutputStack.GroovyPageProxyWriter getExpressionWriter()

    - #### public Encoder getOutEncoder()

    - #### public GroovyPageOutputStack.GroovyPageProxyWriter getOutWriter()

    - #### public Encoder getStaticEncoder()

    - #### public GroovyPageOutputStack.GroovyPageProxyWriter getStaticWriter()

    - #### public Encoder getTaglibEncoder()

    - #### public GroovyPageOutputStack.GroovyPageProxyWriter getTaglibWriter()

    - #### public void pop()

    - #### public void pop(boolean forceSync)

    - #### public void push(java.io.Writer newWriter)

    - #### public void push(java.io.Writer newWriter, boolean checkExisting)

    - #### public void push(GroovyPageOutputStackAttributes attributes)

    - #### public void push(GroovyPageOutputStackAttributes attributes, boolean checkExisting)

    - #### public static final void removeCurrentInstance()

    - #### public void restoreThreadLocalsToOriginals()